For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Atomicwork Public API
    • Introduction
      • GETRetrieve Business Hour Configurations
      • GETRetrieve Business Hour Configurations
LogoLogo
Atomicwork Public APIBusiness Hour Config

Retrieve Business Hour Configurations

||View as Markdown|
GET
https://{tenant}.atomicwork.com/api/v1/workspaces/:workspace_id/business-hour-config/:id
GET
/api/v1/workspaces/:workspace_id/business-hour-config/:id
$curl https://{tenant}.atomicwork.com/api/v1/workspaces/1/business-hour-config/1 \
> -H "X-Workspace-Id: {{workspace_id}}" \
> -H "X-Api-Key: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "id": 1,
3 "workspace_id": 1,
4 "name": "Standard Business Hours",
5 "timezone": "America/New_York",
6 "working_days": [
7 "Monday",
8 "Tuesday",
9 "Wednesday",
10 "Thursday",
11 "Friday"
12 ],
13 "working_hours": {
14 "start_time": "09:00",
15 "end_time": "17:00"
16 },
17 "holidays": [
18 "2024-12-25",
19 "2024-01-01"
20 ],
21 "created_at": "2024-04-01T08:00:00Z",
22 "updated_at": "2024-04-15T12:00:00Z"
23}
Was this page helpful?
Previous

Retrieve Business Hour Configurations

Next

Retrieve all the templates for a logged in user (including only the ones from the workspaces the user is a member of)

Built with

Authentication

X-Api-Keystring
API Key authentication via header

Path parameters

workspace_idlongRequired
The workspace ID
idlongRequired
The business hour configuration ID

Headers

X-Workspace-IdstringOptional

Response

Successful response